curl --request POST \
--url https://app.tagadapay.com/api/public/v1/events/recent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"limit": 10
}'[
{
"id": "evt_123",
"accountId": "acc_456",
"storeId": "store_123",
"customerId": "cus_789",
"eventType": "s_order_paid",
"properties": {
"orderId": "ord_123",
"amount": 2999,
"currency": "USD"
},
"draft": false,
"processedAt": "2024-03-20T10:35:00Z",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_789",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"store": {
"id": "store_123",
"name": "My Store"
}
}
]Get the most recent events for the authenticated account with optional limit. Requires org:admin role.
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/events/recent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"limit": 10
}'[
{
"id": "evt_123",
"accountId": "acc_456",
"storeId": "store_123",
"customerId": "cus_789",
"eventType": "s_order_paid",
"properties": {
"orderId": "ord_123",
"amount": 2999,
"currency": "USD"
},
"draft": false,
"processedAt": "2024-03-20T10:35:00Z",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_789",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"store": {
"id": "store_123",
"name": "My Store"
}
}
]